Update configure.ng for autoconf 2.67
authorAlexander Barton <alex@barton.de>
Thu, 2 Jan 2014 14:33:39 +0000 (15:33 +0100)
committerAlexander Barton <alex@barton.de>
Thu, 2 Jan 2014 14:33:39 +0000 (15:33 +0100)
commitbc098794ee45b5d5a2b9bb1a9c4f5be4136a2209
tree8307ec19404a8f65b9375756a6bd9ba70cbeeae8
parent788da901ee3fa525a38dc99016d2612f6b945352
Update configure.ng for autoconf 2.67

We already require GNU autoconf 2.67 for generating our build system (at
least this is what the INSTALL document states), so update the build system
accordingly and implement all changes that autoupdate(1) suggests:

 - Update AC_PREREQ and AC_INIT
 - Use AC_LINK_IFELSE, AC_RUN_IFELSE, and AC_COMPILE_IFELSE
 - Remove AC_TYPE_SIGNAL (we don't use RETSIGTYPE)
configure.ng